<?php
namespace Opencart\Admin\Controller\Extension\Infrapay\Payment;
class Infrapay extends \Opencart\System\Engine\Controller {
	private $error = [];

	public function index(): void {
        $this->load->language('extension/infrapay/payment/infrapay');
		$this->document->setTitle($this->language->get('heading_title'));
		$data['breadcrumbs'] = [
			[
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'])
		    ],
			[
				'text' => $this->language->get('text_extensions'),
				'href' => $this->url->link('marketplace/infrapay/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment')
			],
			[
				'text' => $this->language->get('heading_title'),
				'href' => $this->url->link('extension/infrapay/payment/infrapay', 'user_token=' . $this->session->data['user_token'])
			]
		];
		$data['save'] = $this->url->link('extension/infrapay/payment/infrapay|save', 'user_token=' . $this->session->data['user_token']);
		$data['back'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment');
		$data['payment_infrapay_order_status_id'] = $this->config->get('payment_infrapay_order_status_id');
		$this->load->model('localisation/order_status');
		$data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();
        $data['payment_infrapay_display_name'] = $this->config->get('payment_infrapay_display_name');
		$data['payment_infrapay_status'] = $this->config->get('payment_infrapay_status');
        $data['payment_infrapay_url'] = $this->config->get('payment_infrapay_url');
        $data['payment_infrapay_webhook_key'] = $this->config->get('payment_infrapay_webhook_key');
        $data['payment_infrapay_webhook_url'] = $this->config->get('payment_infrapay_webhook_url');
        $data['payment_infrapay_cloud_key'] = $this->config->get('payment_infrapay_cloud_key');
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');
		$this->response->setOutput($this->load->view('extension/infrapay/payment/infrapay', $data));
	}

	public function save(): void {
		$this->load->language('extension/infrapay/payment/infrapay');
		$json = [];
		if (!$this->user->hasPermission('modify', 'extension/infrapay/payment/infrapay')) {
			$json['error'] = $this->language->get('error_permission');
		}
		if (!$json) {
			$this->load->model('setting/setting');
			$this->model_setting_setting->editSetting('payment_infrapay', $this->request->post);
			$json['success'] = $this->language->get('text_success');
		}
		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
}